Série de erros ao atualizar pacotes do Debian [ajuda]

1. Série de erros ao atualizar pacotes do Debian [ajuda]

Isaias Lopes Paiva
Isaiaslp

(usa Debian)

Enviado em 29/10/2021 - 05:53h

Comprei um note com Linux a uns 3 meses pois estou mudando de área pra programação e tinha visto em muitos lugares que era uma boa opção para quem trabalhava com isso. Quando achei que já estava 100% familiarizado com o sistema o horário do note do nada adiantou em uma hora e eu não conseguia ajustar ele de novo. Fui na área de atualizações de programas e dava erro me impedindo de baixar as atualizações. Fui então na área de atualizações de pacotes e ele informava que tinha mais de 2.500 pacotes para atualizar. O note ficou mais de 24h ligado para baixar essas atualizações, no processo deu diversos erros e quando ele informava nos detalhes qual era o pacote que não atualizava eu des-selecionava eles da lista de atualizações para eu pelo menos conseguir atualizar o restantes dos 2,5k. Quando faltavam 1.100 pacotes ele voltou a dar erro e eu não achava qual era para tirar da lista. Reiniciei o note porque ele dizia que algumas atualizações eram necessárias e quando ele reiniciou o meu chrome parou de funcionar, segui as orientações do próprio google e nada fazia o chrome voltar, tentei reinstalar ele, mas o sistema começou a me informar que eu não tinha permissão para instalar e uma das últimas indicações do google era para reiniciar. Quando eu fiz isso ele passou a me barrar de terminar o processo de ligar o note.

Logo que eu ligo o note fica com a tela toda preta, pede para eu digitar o login e senha e me deixa numa área como a do terminal de comandos com a mensagem:

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extente permittted by aplicable law.

Tentei colocar ele para atualizar pelo apt-get mas aparece a mensagem:

E: Não foi possível abrir arquivo de trava /var/lib/dpkg/lock-frontend - open (13: Permissao negada)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend),are you root?

Sabem como eu posso proceder?


  


2. Re: Série de erros ao atualizar pacotes do Debian [ajuda]

Paulo Jr
Pebis

(usa Debian)

Enviado em 29/10/2021 - 08:19h


A resposta está dentro da sua pergunta.
"are you root?"

tem que ser root pra fazer esses comandos.

Faça:

sudo apt update
sudo apt full-upgrade

se estiver com problema para fazer os comandos acima tente:

sudo dpkg --configure -a
e/ou
sudo apt install -f


3. Re: Série de erros ao atualizar pacotes do Debian [ajuda]

Isaias Lopes Paiva
Isaiaslp

(usa Debian)

Enviado em 29/10/2021 - 10:51h

Pebis escreveu:

Faça:

sudo apt update
sudo apt full-upgrade


A primeira opção ele retorna com uma lista de mensagens que são assim:
W: Falhou ao buscar (ai tem um endereço http) Não foi possível resolver 'ftp.br.debian.org'

e depois da lista com essa mensagem mudando só o http ele finaliza com
W: Falhou o download de alguns ficheiros de índice. Foram ignorados ou os artigos foram usados em seu lugar.

E a segunda opção do full=upgrade ele retorna com:
W: Dependências desencontradas. tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)

Eu tentei esse comando que eles recomendaram do fix broken, primeiro ele informa quantos pacotes conseguiu atualizar, quantos foram removidos, mas que faltam 1.410. Aí eles pedem autorização pra baixar os arquivos, quando eu coloco sim ele retorna com:
E: Impossível buscar alguns arquivos, talvez executar apt-get update ou tentar com --fix-missing
Mas os dois também não funcionam.

Pebis escreveu:

se estiver com problema para fazer os comandos acima tente:

sudo dpkg --configure -a
e/ou
sudo apt install -f


Eu tentei o sudo dpkg --configure -a e conforme ele vai rodando o comando aparece inúmeros:
dpkg: erro ao processar o pacote (x)

E o sudo apt install -f me retornou com a mesma mensagem do fix broken, listando o número de pacotes que precisam ser atualizados, pedindo confirmação pra baixar e quando coloco sim E: Impossível buscar alguns arquivos, talvez executar apt-get update ou tentar com --fix-missing




4. Re: Série de erros ao atualizar pacotes do Debian [ajuda]

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 29/10/2021 - 12:24h

Roda um sudo apt-get check p ver como está o banco de dados de pacotes. Faz um favot também, roda os comandos anteriores mas cola a saída completa na mensagem p facilitar a análise.



5. Re: Série de erros ao atualizar pacotes do Debian [ajuda]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 29/10/2021 - 14:39h

Você está usando Debian 10 ou 11?

Como está sua sources-list?




6. Re: Série de erros ao atualizar pacotes do Debian [ajuda]

Isaias Lopes Paiva
Isaiaslp

(usa Debian)

Enviado em 29/10/2021 - 21:13h

leandropscardua escreveu:

Roda um sudo apt-get check p ver como está o banco de dados de pacotes. Faz um favot também, roda os comandos anteriores mas cola a saída completa na mensagem p facilitar a análise.


As saídas sãos essas:

sudo apt update:

Err:1 http://security.debian.org testing-security InRelease
Não foi possível resolver 'security.debian.org'
Err:2 http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian testing InRelease
Não foi possível resolver 'ftp.br.debian.org'
Err:3 http://ftp.br.debian.org testing-updates InRelease
Não foi possível resolver 'ftp.br.debian.org'
Err:4 http://packagecloud.io/slacktecnologies/slack/debian Jessie InRelease
Não foi possível resolver 'packagecloud.io'
Err:5 http://packages.microsoft.com/repos/code stable InRelease
Não foi possível resolver 'packages.microsoft.com'
1429 packages can be upgraded. Run 'apt list --upgradable' to see them.
W: Falhou ao buscar http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian/dists/testing/Inrelease Não foi possível resolver 'ftp.br.debian.org'
W: Falhou ao buscar http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian/dists/testing-updates/Inrelease Não foi possível resolver 'ftp.br.debian.org'
W: Falhou ao buscar http://security.debian.org/distis/testing-security/InRelease Não foi possível resolver 'security.debian.org'
W: Falhou ao buscar http://packagecloud.io/slacktechmologies/slack/debian/dists/jessie/InRelease Não foi possível resolver 'packagecloud.io'
W: Falhou ao buscar http://packages.microsoft.com/repos/code/dists/stable/InRelease Não foi possível resolver 'packages.microsoft.com'
W: Falhou o download de alguns ficheiros de índice. Foram ignorados ou os antigos foram usados em seu lugar


sudo apt full-upgrade

aparece uma lista muito grande e alguns itens por estarem muito em cima eu não consigo subir pra ver, mas dentre a listagem tem algumas que informam que o recomendado não está instalado:

textlive-binaries: Quebra: textlive-base(<2020) mas 2016.20161130-1 está instalado
Recomenda: dvisvym mas não está instalado
Quebra: textlive-basei1386(<220)
textlive-extra-utils: Depende: textlibe-base (>= 2021.20210628) mas 2016.20161130-1 está instalado
Depende: textlive-plain-generic (>=2021.20210921) mas não está instalado
Recomenda: liblog-log4perl-perl não está instalado
Quebra: textlive-base:i1386 (<2021.20210628)


E segue esse padrão sendo a linha de retorno final:
E: Dependências desencontradas. tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução)

sudo dpkg --configure -a

Aparece diversas vezes o dpkg com a mensagem "erro ao processar o pacote X. problemas cde dependências. Não consigo/sei ver todas as linhas anteriores para listar, mas falas que vários pacotes não estão instalados, configurados.

sudo apt install -f


Ele pede confirmação se pode instalar, lista 1.410 precisando de atualização e quando confirmo da a mensagem:

Err:1 http://ftp.br.debian.org testing/main amd64 aisleriot amd64 1:3.22.9-1+b1
Não foi possível resolver 'ftp.br.debian.org'
Err:2 http://ftp.br.debian.org testing/main amd64 libgc1 amd64 1:8.0.4-3
Não foi possível resolver 'ftp.br.debian.org'
Err:3 http://ftp.br.debian.org testing/main amd64 guile-2.2-libs amd64 2.2.7+1-6+b1
Não foi possível resolver 'ftp.br.debian.org'
Err:4 http://ftp.br.debian.org testing/main amd64 gnustep-base-runtime amd64 1.27.0-4
Não foi possível resolver 'ftp.br.debian.org'
Err:5 http://ftp.br.debian.org testing/main amd64 libobjc4 amd64 11.2.0-10
Não foi possível resolver 'ftp.br.debian.org'
Err:6 http://ftp.br.debian.org testing/main amd64 libgnustep-base1.27 amd64 1.27.0-4
Não foi possível resolver 'ftp.br.debian.org'
Err:7 http://ftp.br.debian.org testing/main amd64 systemd-timesyncd amd64 249.5-1
Não foi possível resolver 'ftp.br.debian.org'
E: Falhou ao buscar http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian/poll/main/a/aisleriot/aisleriot_3.22.9-1+b1amd64.deb Não foi possível resolver 'ftp.br.debian.org'
E: Falhou ao buscar http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian/poll/main/libg/libgc/libgc1_8.0.4-3_amd64.deb Não foi possível resolver 'ftp.br.debian.org'
E: Falhou ao buscar http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian/poll/main/g/guile-2.2/guile-2.2-libs_2.2.7+1-6+b1_amd64.deb Não foi possível resolver 'ftp.br.debian.org'
E: Falhou ao buscar http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian/poll/main/g/gnustep-base/gnustep-base-rutime_1.27.0-4_amd64.deb Não foi possível resolver 'ftp.br.debian.org'
E: Falhou ao buscar http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian/poll/main/g/gcc-11/liobjc4_11.2.0-4_amd64.deb Não foi possível resolver 'ftp.br.debian.org'
E: Falhou ao buscar http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian/poll/main/g/gnustep-base/libgnustep-base1.27_1.27.0-4_amd64.deb Não foi possível resolver 'ftp.br.debian.org'
E: Falhou ao buscar http://ftp.br.debian.org/debian">http://ftp.br.debian.org/debian/poll/main/s/systemd/systemd-timesyncd_249.5-1_amd64.deb Não foi possível resolver 'ftp.br.debian.org'
E: Impossível buscar alguns arquivos, talvez executar apt-get update ou tentar com --fix-missing


sudo apt-get check

Me deu o retorno exato de quando dou sudo apt full-upgrade.

clodoaldops escreveu:

Você está usando Debian 10 ou 11?

Como está sua sources-list?


Debian 9.2.1-28
Eu sou bem ignorante em linux/debian, não sei como verificar minhas sources-list.


7. Re: Série de erros ao atualizar pacotes do Debian [ajuda]

Paulo Jr
Pebis

(usa Debian)

Enviado em 30/10/2021 - 09:53h


posta o comando

cat /etc/apt/sources.list


8. Re: Série de erros ao atualizar pacotes do Debian [ajuda]

Isaias Lopes Paiva
Isaiaslp

(usa Debian)

Enviado em 30/10/2021 - 12:42h

Pebis escreveu:


posta o comando

cat /etc/apt/sources.list

Retorna com isso:

###### Satux/Debian Repository
deb http://ftp.br.debian.org/debian/ testing main contrib non-free
#deb-src http://ftp.br.debian.org/debian/ testing main contrib non-free

deb http://ftp.br.debian.org/debian/ testing-updates main contrib non-free
#deb-scr http://ftp.br.debian.org/debian/ testing-updates main contrib non-free

deb http://security.debian.org/ testing-security main
#dev-scr http//security.debian.org/ testing-security main



9. Re: Série de erros ao atualizar pacotes do Debian [ajuda]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 30/10/2021 - 12:52h


muito certo da sua distro ter quebrado com gosto .. acho que vai ser mais fácil reinstalar do que tentar corrigir !!!

NOTA: aproveita se for fazer uma nova instalação instala o Debian mesmo pq me parece que com esse satux vc não vai encontrar muito suporte !!!

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




10. Re: Série de erros ao atualizar pacotes do Debian [ajuda]

Paulo Jr
Pebis

(usa Debian)

Enviado em 30/10/2021 - 14:00h


Sinceramente também acho melhor reinstalar caso seu sistema seja esse Satux... Claro, desde que não perca a garantia (não deveria perder, masss)

O que aparentemente está acontecendo é que não esta conectando na internet.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts